## python-fakeredis 0.9.0

=== requirements.txt ===
nose==1.3.4
redis==2.10.5

## python-fakeredis 0.7.0

=== debian/changelog ===
python-fakeredis (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #827934)

 -- Peter Lisák <peter.lisak@gmail.com>  Wed, 22 Jun 2016 10:11:50 +0200

=== debian/control ===
Source: python-fakeredis
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Peter Lisák <peter.lisak@gmail.com>,
           Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-redis,
               python-setuptools,
               python3-all,
               python3-nose,
               python3-redis,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/jamesls/fakeredis
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fakeredis.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-fakeredis.git
Testsuite: autopkgtest-pkg-python

Package: python-fakeredis
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Fake version of a redis-py - Python 2.x
 fakeredis is a pure Python implementation of the redis-py Python client that
 simulates talking to a redis server. This was created for a single purpose:
 to write unittests. Setting up redis is not hard, but many times you want to
 write unittests that do not talk to an external server (such as redis).
 This module now allows tests to simply use this module as a reasonable
 substitute for redis.
 .
 This package contains the Python 2.x module.

Package: python3-fakeredis
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Fake version of a redis-py - Python 3.x
 fakeredis is a pure Python implementation of the redis-py Python client that
 simulates talking to a redis server. This was created for a single purpose:
 to write unittests. Setting up redis is not hard, but many times you want to
 write unittests that do not talk to an external server (such as redis).
 This module now allows tests to simply use this module as a reasonable
 substitute for redis.
 .
 This package contains the Python 3.x module.

## python-fakeredis 0.8.2

=== debian/changelog ===
python-fakeredis (0.8.2-2) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Sun, 11 Dec 2016 15:39:46 +0100

python-fakeredis (0.8.1-1) unstable; urgency=medium

  * New upstream release 0.8.1
  * set dh-python version (older one failed in test suite detection,
    nose needed instead of unittest)

 -- Peter Lisák <peter.lisak@gmail.com>  Mon, 22 Aug 2016 10:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
+Build-Depends: debhelper (>= 10),
+               dh-python (>= 2.20160609~),
                python-all,
                python-nose,
                python-redis,

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = fakeredis

export PYBUILD_BEFORE_TEST=cp -r {dir}/test_*.py {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_*.py

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-fakeredis 0.9.0

=== debian/changelog ===
python-fakeredis (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright:
    - Add myself for Debian part
    - Https form of the copyright-format URL
  * d/control:
    - Added myself as uploader
    - Standards version is 4.1.1 now
  * d/rules: Add upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 09 Nov 2017 14:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-fakeredis
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Peter Lisák <peter.lisak@gmail.com>,
+Uploaders: Ondřej Kobližek <koblizeko@gmail.com>,
+           Peter Lisák <peter.lisak@gmail.com>,
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
@@ -14,7 +15,7 @@
                python3-nose,
                python3-redis,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/jamesls/fakeredis
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-fakeredis-$1\.tar\.gz/ \
  https://github.com/jamesls/fakeredis/tags .*/v?(\d\S*)\.tar\.gz

## python-fakeredis 0.13.1

=== requirements.txt ===
# Flake8 3.0.0 does not support Python 2.6.
flake8<3.0.0
nose==1.3.4
redis==2.10.6
lupa==1.6
future==0.16.0

=== debian/changelog ===
python-fakeredis (0.13.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Add new copyright holder of new upstream release
  * Bump standards version to 4.2.1 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Wed, 19 Sep 2018 15:24:51 +0200

python-fakeredis (0.13.0.1-2) unstable; urgency=medium

  * New upstream release
  * Convert git repository from git-dpm to gbp layout
  * Add python{,3}-future to B-D
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Aug 2018 14:53:09 +0200

python-fakeredis (0.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Ondřej Kobližek ]
  * New upstream release
  * d/control: Add dependency for python-lupa
  * d/control: Standards version is 4.1.5 now (no changes needed)
  * d/control: Update debhelper compat level to 11

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 31 Jul 2018 16:22:30 +0800

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python (>= 2.20160609~),
                python-all,
+               python-future,
+               python-lupa,
                python-nose,
                python-redis,
                python-setuptools,
                python3-all,
+               python3-future,
+               python3-lupa,
                python3-nose,
                python3-redis,
                python3-setuptools,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/jamesls/fakeredis
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fakeredis.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-fakeredis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fakeredis
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-fakeredis.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-fakeredis

## python-fakeredis 1.0~rc1

=== requirements.txt ===
flake8==3.6.0
configparser==3.5.0; python_version<"3"
mccabe==0.6.1
pycodestyle==2.4.0
pyflakes==2.0.0
attrs==18.2.0
enum34==1.1.6; python_version<"3"
nose==1.3.7
hypothesis==3.86.4
redis==2.10.6
lupa==1.7
future==0.17.1
sortedcontainers==2.1.0
six==1.12.0

=== debian/changelog ===
python-fakeredis (1.0~rc1-1) unstable; urgency=medium

  * New upstream release (Closes: #915774)
  * Use d/pybuild.testfiles instead of manual cp+rm
  * Run only tests which doesn't requires running Redis
  * Add python{,3}-six and python{,3}-sortedcontainers into B-D
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 16:31:15 +0100

python-fakeredis (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Drop Peter Lisák from uploaders
  * d/copyright: Add copyright holders and Expat license from new upstream
    release

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 14:02:30 +0200

## python-fakeredis 1.0.3

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 enum34==1.1.6; python_version<"3"
 nose==1.3.7
 hypothesis==3.86.4
-redis==2.10.6
+redis==3.2.1
 lupa==1.7
 future==0.17.1
 sortedcontainers==2.1.0

=== debian/changelog ===
python-fakeredis (1.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #924851)
  * update d/CHANGELOG

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 01 Apr 2019 08:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-fakeredis
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondřej Kobližek <koblizeko@gmail.com>,
-           Peter Lisák <peter.lisak@gmail.com>,
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
@@ -12,14 +11,18 @@
                python-lupa,
                python-nose,
                python-redis,
+               python-six,
                python-setuptools,
+               python-sortedcontainers,
                python3-all,
                python3-future,
                python3-lupa,
                python3-nose,
                python3-redis,
+               python3-six,
                python3-setuptools,
-Standards-Version: 4.2.1
+               python3-sortedcontainers,
+Standards-Version: 4.3.0
 Homepage: https://github.com/jamesls/fakeredis
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-fakeredis.git

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = fakeredis
export PYBUILD_TEST_ARGS=test_fakeredis.py test_fakeredis.py:TestFakeStrictRedis test_fakeredis.py:TestFakeRedis

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

## python-fakeredis 1.0.4

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 nose==1.3.7
 hypothesis==3.86.4
 redis==3.2.1
-lupa==1.7
+lupa==1.8
 future==0.17.1
 sortedcontainers==2.1.0
 six==1.12.0

=== debian/changelog ===
python-fakeredis (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * update d/CHANGELOG

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 16 Aug 2019 08:55:27 +0200

python-fakeredis (1.0.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Ondřej Kobližek ]
  * Drop Python 2 module
  * Bump compat version to 12
  * Add module test
  * Bump watchfile version to 4
  * Wrap and sort
  * d/control: Remove dh-python version constraint

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 23 Jul 2019 17:58:01 +0200

=== debian/control ===
Source: python-fakeredis
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-future,
 python3-lupa,
 python3-nose,
 python3-redis,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
Standards-Version: 4.4.0
Homepage: https://github.com/jamesls/fakeredis
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fakeredis
Vcs-Git: https://salsa.debian.org/python-team/modules/python-fakeredis.git
Testsuite: autopkgtest-pkg-python

Package: python3-fakeredis
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Fake version of a redis-py
 fakeredis is a pure Python implementation of the redis-py Python client that
 simulates talking to a redis server. This was created for a single purpose:
 to write unittests. Setting up redis is not hard, but many times you want to
 write unittests that do not talk to an external server (such as redis).
 This module now allows tests to simply use this module as a reasonable
 substitute for redis.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = fakeredis
export PYBUILD_TEST_ARGS=test_fakeredis.py test_fakeredis.py:TestFakeStrictRedis test_fakeredis.py:TestFakeRedis

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/tests/control ===
Depends:
 python3-all,
 python3-fakeredis,
 python3-future,
 python3-hypothesis,
 python3-lupa,
 python3-nose,
 python3-redis,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
Restrictions: allow-stderr
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py setup.py nosetests --tests test_fakeredis.py 2>&1; done

## python-fakeredis 1.2.0

=== debian/changelog ===
python-fakeredis (1.2.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0 (no changes)
  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Thu, 06 Feb 2020 07:58:33 +0100

python-fakeredis (1.1.0-2) unstable; urgency=medium

  * d/control: Add lower B-D constraints for pytest and pytest-cov

 -- Ondřej Kobližek <kobla@debian.org>  Tue, 10 Dec 2019 13:03:53 +0100

python-fakeredis (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ondřej Kobližek ]
  * Change my email address
  * New upstream release
  * Change test suite from nose to pytest
  * d/control: Add Rules-Requires-Root

 -- Ondřej Kobližek <kobla@debian.org>  Mon, 02 Dec 2019 14:18:43 +0100

python-fakeredis (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * update d/CHANGELOG

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 13 Sep 2019 07:38:51 +0200

## python-fakeredis 1.2.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
attrs==19.3.0             # via hypothesis, pytest
coverage==5.0.3
entrypoints==0.3          # via flake8
flake8==3.7.9
hypothesis==5.4.1
importlib-metadata==1.5.0  # via pluggy, pytest
lupa==1.9
mccabe==0.6.1             # via flake8
more-itertools==8.2.0     # via pytest
packaging==20.1           # via pytest
pluggy==0.13.1            # via pytest
py==1.8.1                 # via pytest
pycodestyle==2.5.0        # via flake8
pyflakes==2.1.1           # via flake8
pyparsing==2.4.6          # via packaging
pytest-cov==2.8.1
pytest==5.3.5
redis==3.4.1
six==1.14.0
sortedcontainers==2.1.0
wcwidth==0.1.8            # via pytest
zipp==1.1.0

=== debian/changelog ===
python-fakeredis (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Kobližek <kobla@debian.org>  Tue, 18 Feb 2020 08:12:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-fakeredis
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Ondřej Kobližek <koblizeko@gmail.com>,
+ Ondřej Kobližek <kobla@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
@@ -11,16 +11,18 @@
  python3-all,
  python3-future,
  python3-lupa,
- python3-nose,
+ python3-pytest (>= 4.6.4), python3-pytest (<< 5.0),
+ python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
  python3-redis,
  python3-setuptools,
  python3-six,
  python3-sortedcontainers,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jamesls/fakeredis
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-fakeredis.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-fakeredis
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = fakeredis
export PYBUILD_TEST_ARGS=test_fakeredis.py test_fakeredis.py::TestFakeStrictRedis test_fakeredis.py::TestFakeRedis

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/tests/control ===
Depends:
 python3-all,
 python3-fakeredis,
 python3-future,
 python3-hypothesis,
 python3-lupa,
 python3-pytest (>= 4.6.4), python3-pytest (<< 5.0),
 python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
 python3-redis,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
Restrictions: allow-stderr
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x 2>&1; done

## python-fakeredis 1.4.5

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
aioredis==1.3.1           # via -r requirements.in
async-generator==1.10     # via -r requirements.in
async-timeout==3.0.1      # via aioredis
attrs==19.3.0             # via hypothesis, pytest
coverage==5.0.3           # via -r requirements.in, pytest-cov
entrypoints==0.3          # via flake8
flake8==3.7.9             # via -r requirements.in
hiredis==1.0.1            # via aioredis
hypothesis==5.4.1         # via -r requirements.in
importlib-metadata==1.5.0  # via pluggy, pytest
lupa==1.9                 # via -r requirements.in
mccabe==0.6.1             # via flake8
more-itertools==8.2.0     # via pytest
packaging==20.1           # via pytest
pluggy==0.13.1            # via pytest
py==1.8.1                 # via pytest
pycodestyle==2.5.0        # via flake8
pyflakes==2.1.1           # via flake8
pyparsing==2.4.6          # via packaging
pytest-asyncio==0.14.0    # via -r requirements.in
pytest-cov==2.8.1         # via -r requirements.in
pytest-mock==3.2.0        # via -r requirements.in
pytest==5.4.3             # via -r requirements.in, pytest-asyncio, pytest-cov, pytest-mock
redis==3.5.3              # via -r requirements.in
six==1.14.0               # via -r requirements.in, packaging
sortedcontainers==2.1.0   # via -r requirements.in, hypothesis
wcwidth==0.1.8            # via pytest
zipp==1.1.0               # via -r requirements.in, importlib-metadata

=== debian/changelog ===
python-fakeredis (1.4.5-4) unstable; urgency=medium

  * Team upload.
  * Bump tests dependency for new Redis behaviour

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Jul 2021 22:40:47 +0200

python-fakeredis (1.4.5-3) unstable; urgency=medium

  * Team upload.
  * Add patch for new Redis 6.0.15 SINTER behaviour (Closes: #991451)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Jul 2021 14:32:28 +0200

python-fakeredis (1.4.5-2) unstable; urgency=medium

  * Lift pytest version cap.
  * Bump standards version to 4.5.1.

 -- Ondřej Nový <onovy@debian.org>  Mon, 04 Jan 2021 10:59:47 +0100

python-fakeredis (1.4.5-1) unstable; urgency=medium

  * New upstream release.
  * d/tests/control: Remove python3-asynctest from the Depends
    (Closes: #975722).
  * Skip flaky test (Closes: #976068).

 -- Ondřej Nový <onovy@debian.org>  Mon, 30 Nov 2020 11:36:08 +0100

python-fakeredis (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Add python3-pytest-mock to autopkgtests requirement (Closes: #972153).

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 09:29:34 +0100

python-fakeredis (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-pytest-mock to B-D.

 -- Ondřej Nový <onovy@debian.org>  Thu, 20 Aug 2020 09:30:29 +0200

python-fakeredis (1.4.1-2) unstable; urgency=medium

  * Disable test_aioredis.py and remove python3-asynctest from B-D.

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jun 2020 08:38:07 +0200

python-fakeredis (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-aioredis, python3-asynctest and python3-hypothesis to B-D.
  * Bump debhelper compat level to 13.
  * debian/pybuild.testfiles: Remove, not needed anymore.
  * Install README instead of own d/CHANGELOG.
  * Run all tests.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 13:28:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: python-fakeredis
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Kobližek <kobla@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ python3-aioredis,
  python3-all,
  python3-future,
+ python3-hypothesis,
  python3-lupa,
- python3-pytest (>= 4.6.4), python3-pytest (<< 5.0),
+ python3-pytest (>= 4.6.4),
  python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
+ python3-pytest-mock,
  python3-redis,
  python3-setuptools,
  python3-six,
  python3-sortedcontainers,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jamesls/fakeredis
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fakeredis
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-fakeredis.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fakeredis
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-fakeredis.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = fakeredis
export PYBUILD_TEST_ARGS=--ignore=test/test_aioredis.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Depends:
 python3-aioredis,
 python3-all,
 python3-fakeredis,
 python3-future,
 python3-hypothesis,
 python3-lupa,
 python3-pytest (>= 4.6.4),
 python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
 python3-pytest-mock,
 python3-redis,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
 redis-server (>= 5:6.0.15),
Restrictions: allow-stderr, isolation-container
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v -x --ignore=test/test_aioredis.py 2>&1; done

## python-fakeredis 1.6.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
#    pip-compile requirements.in
#
aioredis==1.3.1
    # via -r requirements.in
async-timeout==3.0.1
    # via aioredis
attrs==20.3.0
    # via
    #   hypothesis
    #   pytest
coverage==5.3
    # via
    #   -r requirements.in
    #   pytest-cov
flake8==3.8.4
    # via -r requirements.in
hiredis==1.1.0
    # via aioredis
hypothesis==5.41.4
    # via -r requirements.in
iniconfig==1.1.1
    # via pytest
lupa==1.9
    # via -r requirements.in
mccabe==0.6.1
    # via flake8
packaging==20.7
    # via pytest
pluggy==0.13.1
    # via pytest
py==1.10.0
    # via pytest
pycodestyle==2.6.0
    # via flake8
pyflakes==2.2.0
    # via flake8
pyparsing==2.4.7
    # via packaging
pytest==6.1.2
    # via
    #   -r requirements.in
    #   pytest-asyncio
    #   pytest-cov
    #   pytest-mock
pytest-asyncio==0.15.1
    # via -r requirements.in
pytest-cov==2.10.1
    # via -r requirements.in
pytest-mock==3.3.1
    # via -r requirements.in
redis==3.5.3
    # via -r requirements.in
six==1.15.0
    # via -r requirements.in
sortedcontainers==2.3.0
    # via
    #   -r requirements.in
    #   hypothesis
toml==0.10.2
    # via pytest
zipp==1.2.0
    # via -r requirements.in

=== debian/changelog ===
python-fakeredis (1.6.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release. (Closes: #985639)
  * Remove Build-Dep restriction on pytest-cov >= 3. (Closes: #997335)
  * Build-Depend on python3-pytest-asyncio, now required by tests.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Stefano Rivera <stefanor@debian.org>  Wed, 10 Nov 2021 01:31:44 -0800

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,14 @@
  python3-hypothesis,
  python3-lupa,
  python3-pytest (>= 4.6.4),
- python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
+ python3-pytest-asyncio,
+ python3-pytest-cov (>= 2.7.1),
  python3-pytest-mock,
  python3-redis,
  python3-setuptools,
  python3-six,
  python3-sortedcontainers,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jamesls/fakeredis
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fakeredis.git

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  python3-hypothesis,
  python3-lupa,
  python3-pytest (>= 4.6.4),
- python3-pytest-cov (>= 2.7.1), python3-pytest-cov (<< 3.0),
+ python3-pytest-asyncio,
+ python3-pytest-cov (>= 2.7.1),
  python3-pytest-mock,
  python3-redis,
  python3-setuptools,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-fakeredis-$1\.tar\.gz/ \
  https://github.com/jamesls/fakeredis/tags .*/v?(\d\S*)\.tar\.gz

## python-fakeredis 1.9.0

=== debian/changelog ===
python-fakeredis (1.9.0-1) unstable; urgency=medium

  * Team upload
  * Drop build/test dependencies on python3-future

 -- Graham Inggs <ginggs@debian.org>  Wed, 03 Jan 2024 20:43:57 +0000

python-fakeredis (1.9.0-0.1) unstable; urgency=medium

  [ Paul Gevers ]
  * Non-maintainer upload
  * New upstream version 1.9.0 (Closes: #1017612)
    - upstream moved
    - add new Build-Depends
  * autopkgtest: don't fail after the first error but show all failures

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Aug 2022 11:45:21 -0700

python-fakeredis (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1014101)
  * Drop 0002-SINTER-STORE-requires-keys-to-be-sets.patch; patch appears to be
    merged upstream.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 12:57:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-aioredis,
  python3-all,
- python3-future,
  python3-hypothesis,
  python3-lupa,
+ python3-poetry-core,
  python3-pytest (>= 4.6.4),
  python3-pytest-asyncio,
  python3-pytest-cov (>= 2.7.1),
@@ -21,8 +22,8 @@
  python3-setuptools,
  python3-six,
  python3-sortedcontainers,
-Standards-Version: 4.6.0
-Homepage: https://github.com/jamesls/fakeredis
+Standards-Version: 4.6.1
+Homepage: https://github.com/cunla/fakeredis-py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fakeredis.git
 Testsuite: autopkgtest-pkg-python

=== debian/tests/control ===
Depends:
 python3-aioredis,
 python3-all,
 python3-fakeredis,
 python3-hypothesis,
 python3-lupa,
 python3-pytest (>= 4.6.4),
 python3-pytest-asyncio,
 python3-pytest-cov (>= 2.7.1),
 python3-pytest-mock,
 python3-redis,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
 redis-server (>= 5:6.0.15),
Restrictions: allow-stderr, isolation-container
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -Wd -m pytest -v --ignore=test/test_aioredis.py 2>&1; done

## python-fakeredis 2.26.1

=== docs/requirements.txt ===
mkdocs==1.6.0
mkdocs-material==9.5.33

=== debian/changelog ===
python-fakeredis (2.26.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.26.1
  * Depends on new python3-lupa 2.x
  * Run tests in autpkgtest with a running Redis

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 23:01:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Kobližek <kobla@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-aioredis,
  python3-all,
  python3-hypothesis,
- python3-lupa,
+ python3-lupa (>= 2.1),
  python3-poetry-core,
  python3-pytest (>= 4.6.4),
  python3-pytest-asyncio,
@@ -20,9 +18,8 @@
  python3-pytest-mock,
  python3-redis,
  python3-setuptools,
- python3-six,
  python3-sortedcontainers,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/cunla/fakeredis-py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fakeredis.git

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-fakeredis,
 python3-hypothesis,
 python3-lupa,
 python3-pytest (>= 4.6.4),
 python3-pytest-asyncio,
 python3-pytest-cov (>= 2.7.1),
 python3-pytest-mock,
 python3-redis,
 python3-setuptools,
 python3-sortedcontainers,
 redis-server (>= 5:6.0.15),
 socat,
Restrictions: allow-stderr, isolation-container

## python-fakeredis 2.29.0

=== docs/requirements.txt ===
mkdocs==1.6.1
mkdocs-material==9.6.11

=== debian/changelog ===
python-fakeredis (2.29.0-5) unstable; urgency=medium

  * Team upload.
  * test: Replace deprecated `event_loop` fixture.
  * chore: Update test dependency on pytest-asyncio to v1.1.0.
  * Remove unneeded test.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Sep 2025 12:39:21 +0100

python-fakeredis (2.29.0-4) unstable; urgency=medium

  * Update the list of flaky tests that are not run during autopkgtest
    execution; some of these had been renamed/reorganised since they were
    originally added. (Closes: #1105992)

 -- Chris Lamb <lamby@debian.org>  Thu, 22 May 2025 10:43:32 -0700

python-fakeredis (2.29.0-3) unstable; urgency=medium

  * Address autopkgtest regression issues:
    - Require Redis >= 8.x and python3-mock to run the latest autopkgtests.
    - Disable the "test_time" test due to an incompatibility with the new
      version of Mock and mock_use_standalone_module.
      <https://github.com/pytest-dev/pytest-mock/issues/70>
    (Closes: #1105992)

 -- Chris Lamb <lamby@debian.org>  Wed, 21 May 2025 13:01:22 -0700

python-fakeredis (2.29.0-2) unstable; urgency=medium

  * Additionally allow the test_hsetex_expiration_ex_and_keepttl autopkgtest to
    fail, following other failed tests.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 May 2025 10:00:40 -0700

python-fakeredis (2.29.0-1) unstable; urgency=medium

  * New upstream release.
    - Prevents autopkgtest regressions in src:python-redis which is, in turn,
      affecting the migration of src:redis.
  * Bump Standards-Version to 4.7.2.
  * Add myself to Uploaders.
  * Use py3versions -s ("supported") over -i ("installed") in autopkgtests in
    order to avoid issues during Python transitions.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 May 2025 09:08:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-fakeredis
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Chris Lamb <lamby@debian.org>,
  Ondřej Kobližek <kobla@debian.org>,
 Section: python
 Priority: optional
@@ -19,7 +20,7 @@
  python3-redis,
  python3-setuptools,
  python3-sortedcontainers,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/cunla/fakeredis-py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fakeredis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fakeredis.git

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-fakeredis,
 python3-hypothesis,
 python3-lupa,
 python3-mock,
 python3-pytest (>= 4.6.4),
 python3-pytest-asyncio,
 python3-pytest-cov (>= 2.7.1),
 python3-pytest-mock,
 python3-redis,
 python3-setuptools,
 python3-sortedcontainers,
 redis-server (>= 5:8.0.0),
 socat,
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-fakeredis-$1\.tar\.gz/ \
  https://github.com/cunla/fakeredis-py/tags .*/v?(\d\S*)\.tar\.gz
